%define prefix /usr

Name: openhpi-subagent
Summary: openhpi-subagent - SNMP agent for modeling SAForum Hardware Platform Interface 
Version: 2.3.4
Release: 1
Copyright: BSD
URL: http://openhpi.sourceforge.net
Group: Utilities
Vendor: OpenHPI Project
Packager: Sean Dague <http://dague.net/sean>
Source: openhpi-subagent-2.3.4.tar.gz
Buildroot: /var/tmp/openhpi-subagent-root
BuildRequires: pkgconfig glib-devel openhpi-devel
BuildRequires: docbook-utils docbook-utils-pdf docbook-dtd41-sgml
Summary: Library that provides SAForum's HPI
Group: Utilities
AutoReq: yes
Requires: libc.so.6 libglib-1.2.so.0 libpthread.so.0 
Requires: libnetsnmp.so.5 libnetsnmpagent.so.5

%description 
This package contains an SNMP subagent for the Service Availability Forum's 
HPI specification.  It is built against OpenHPI, but should be rebuildable against
any HPI 1.0 implementation.  Through this subagent one can includes support for multiple different types of
hardware including: IPMI, IBM Blade Center (via SNMP), Linux Watchdog devices,
and Sysfs based systems.

###################################################
%prep
###################################################

###################################################
%setup
###################################################

###################################################
%build
###################################################
./configure  --sysconfdir=/etc \
    --prefix=%{prefix}
make
make -C docs pdf-am
make -C docs subagent-manual/book1.html

###################################################
%install
###################################################
if
  [ ! -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
  rm -rf $RPM_BUILD_ROOT
fi
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 openhpi-subagent.rc $RPM_BUILD_ROOT/etc/init.d/openhpi-subagent

%post

###################################################
%files
###################################################
%defattr(-,root,root)
%doc README COPYING ChangeLog TODO
%doc mib
%doc docs/*pdf
%doc docs/subagent-manual/
%config /etc/snmp/hpiSubagent.conf
%config /etc/init.d/openhpi-subagent
%{prefix}/bin/hpi*

###################################################
%clean
###################################################
if
    [ -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
    rm -rf $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_DIR/openhpi-subagent-2.3.4

